Advanced Settings for WordPress
===============

This is an essential plugin for your WordPress sites.

## Instalation

**Installing with wp cli:**

```
$ wp plugin install advanced-settings --activate
```

**Installing with git:**

```
$ cd wp-content/plugins
$ git clone https://github.com/webarthur/advanced-settings.git
```

**Manual installation:**

1. Download plugin file from https://wordpress.com/pt-br/plugins/advanced-settings
2. Decompress to wp-content/plugins folder
3. Active the plugin on wp-admin

## New Features

* New admin page: Scripts
* Remove *type="text/javascript"* attribute from &lt;script&gt; tag
* Track and list enqueued scripts
* Merge and include removed scripts
* Load merged removed scripts in footer

## What can this do?

- Manage Post Types
- Disable The “Please Update Now” Message On WordPress Dashboard
- Fix incorrect Facebook thumbnails including OG metas
- Unregister default WordPress widgets
- Remove widget system
- Remove a specific system action or filter
- Resize image at upload
- Automatically generate the Post Thumbnail
- Remove comments system
- Insert author bio on each post
- Allow HTML in user profiles
- Add description and keywords meta tags in posts (SEO)
- Get the blog description and add a description meta tag
- Automatically add a FavIcon
- Hide top WP admin bar
- Remove HTML comments
- Easy FeedBurner configuration
- Include jQuery Google CDN
- Remove unnecessary jQuery migrate script
- Compact HTML code
- Disable Posts Auto Saving
- Insert Google Analytics code
- Insert Google Tag Manager ID code
- Remove header WordPress generator meta tag
- Remove header WLW Manifest meta tag
- Remove header RSD meta tag
- Remove header Shortlink meta tag
- Display total number of executed SQL queries
- Display page loading time
- Remove "texturize" (remove wptexturize filters)
- Add thumbnail support
- Set JPEG quality
- Fix post type pagination
- Display total number of executed SQL queries
- Remove any filter you want
- Remove *type="text/javascript"* attribute from &lt;script&gt; tag
- Track and list enqueued scripts
- Merge and include removed scripts
- Load merged removed scripts in footer
and more to come ...

Visit: https://devarthur.com/

"Simplicity is the ultimate sophistication" -- Da Vinci
